# PyTransmuter

PyTransmuter is a Python library designed for efficient data mapping and aggregation 
from source models to target models, leveraging the power of Pydantic for data validation
and transformation. It simplifies the process of transforming data structures, making it 
an essential tool for applications requiring data normalization, transformation, and aggregation.

## Features

- **Generic Mapping**: Utilizes generic typing to map data between different model structures.
- **Flexible Aggregation**: Supports complex data aggregation strategies, including grouping, 
sorting, and custom aggregation functions.
- **Self-Inspection**: Incorporates self-inspection capabilities for resolving callables related 
to class instances.
- **Pydantic Integration**: Leverages Pydantic models for input and output validation, ensuring 
data integrity.
- **Customizable Transformations**: Allows defining custom field transformations using callable 
functions or lambdas.

## Installation

To install YourLibraryName, run the following command in your terminal:

```bash
pip install py-transmuter
```
